Events
A: Create event
AuthorizationBearer <token>
In: header
access_passwordstring
Default
"education2024"access_typestring
Default
"public"allow_chatboolean
Default
trueallow_q_and_aboolean
Default
truecategory_idsarray<string>
descriptionstring
Default
"Exploring how artificial intelligence is transforming the education sector"durationinteger
Default
90event_typestring
Default
"live"intro_video_durationinteger
Default
300intro_video_urlstring
Default
"https://videos.example.com/intro/123"Format
uriis_recurringboolean
Default
falsejoining_instructionsstring
Default
"Please join 5 minutes before the start time"max_participantsinteger
Default
500meeting_urlstring
Default
"https://zoom.us/j/123456789"Format
uriproviderstring
Default
"zoom"published_atstring
Default
"2024-12-20T10:00:00Z"recording_urlstring
Default
"https://recordings.example.com/event/123"Format
urirecurrence_rulesobject
registration_end_timestring
Default
"2024-12-24T23:59:59Z"registration_requiredboolean
Default
truerequires_approvalboolean
Default
falsespeaker_idsarray<string>
start_timestring
Default
"2024-12-25T15:00:00Z"statusstring
Default
"draft"summarystring
Default
"A comprehensive overview of AI applications in modern education"thumbnailstring
Default
"https://images.example.com/thumbnails/event-123.jpg"Format
uritimezonestring
Default
"Asia/Dhaka"titlestring
Default
"Introduction to AI in Education"Response Body
curl -X POST "https://edushade.com/api/v1/admin/events" \
-H "Content-Type: application/json" \
-d '{
"access_password": "education2024",
"access_type": "public",
"allow_chat": true,
"allow_q_and_a": true,
"category_ids": [
"string"
],
"description": "Exploring how artificial intelligence is transforming the education sector",
"duration": 90,
"event_type": "live",
"intro_video_duration": 300,
"intro_video_url": "https://videos.example.com/intro/123",
"is_recurring": false,
"joining_instructions": "Please join 5 minutes before the start time",
"max_participants": 500,
"meeting_url": "https://zoom.us/j/123456789",
"provider": "zoom",
"published_at": "2024-12-20T10:00:00Z",
"recording_url": "https://recordings.example.com/event/123",
"recurrence_rules": {
"end_date": "2025-03-25",
"frequency": "weekly",
"interval": 1,
"max_occurrences": 12
},
"registration_end_time": "2024-12-24T23:59:59Z",
"registration_required": true,
"requires_approval": false,
"speaker_ids": [
"string"
],
"start_time": "2024-12-25T15:00:00Z",
"status": "draft",
"summary": "A comprehensive overview of AI applications in modern education",
"thumbnail": "https://images.example.com/thumbnails/event-123.jpg",
"timezone": "Asia/Dhaka",
"title": "Introduction to AI in Education"
}'{}Empty
Empty
Empty